Subject: Caribe PC

From: "Akiva Werbalowsky" <[email-masked]>
Date: Mon, 05 Jan 1998 20:36:21 PST

Thanks for all the travel suggestions and connections. Everyone was 
truly helpful and hospitable.

I've made reservations for the island of Guadaloupe in the French West 
Indies. Its economy is based more on agriculture than on tourism, and 
the eclipse in February will be total for three minutes since it it is 
directly in the path.

I'm very much interested in any info permafolk have about Guadaloupe and 
I'm happy to share what I'm learning.

snake medicine to all, and to all a good bite,
akiva

(which reminds me, I saw our farm cat Tom stalk, catch, and completely 
devour a gopher in about 5 minutes the other day, head and all.)

______________________________________________________
Get Your Private, Free Email at http://www.hotmail.com